.quiz-block .quizzes--questions {
	position: relative;
	color: var(--wp--preset--color--softlight);
}

.quiz-block .quizzes--questions::before,
.quiz-block .quizzes--questions::after {
	content: "";
	position: absolute;
	height: 1px;
	background-color: var(--wp--preset--color--accent-4);
}

.quiz-block .quizzes--questions::before {
	left: 15px;
	right: 15px;
	top: -4px;
}

.quiz-block .quizzes--questions::after {
	left: 10px;
	right: 10px;
	top: -2px;
}

.quiz-block .quiz-card,
.quiz-block .results-card {
	margin-bottom: 2rem;
	border-radius: 5px;
	position: relative;
	padding: var(--wp--preset--spacing--24);
	text-align: center;
}
.quiz-block .quiz-resources {
	border-radius: 5px;
	position: relative;
	padding: var(--wp--preset--spacing--24);
}
@media (min-width: 782px) {
	.quiz-block .quiz-card,
	.quiz-block .results-card.quiz-block,
	.quiz-block .quiz-resources {
		padding: var(--wp--preset--spacing--48);
	}
}


.quiz-block .quiz-resources h6,
.quiz-block .quiz-resources h5 {
	margin: 0;
}
.quiz-block .quiz-resources  p {
	margin-block: auto;
}


.quiz-block h4,
.quiz-block h6 {
	margin-top: 0;
	color: var(--wp--preset--color--softlight);
}

.quiz-block .quiz-card {
	background-color: var(--wp--preset--color--accent-4);
}

.quiz-block .quiz-question {
	font-size: 1.333rem;
	line-height: 1.3;
	margin-bottom: 2rem;
}

@media (min-width: 782px) {
	.quiz-block .quiz-question {
		font-size: 2rem;
	}
}

.quiz-block .quiz-quote {
	display: block;
	border-top: 1px solid var(--wp--preset--color--softlight);
	padding-top: 2rem;
	margin-top: 4rem;
	position: relative;
}

.quiz-block .quiz-quote::before {
	content: "\201C";
	position: absolute;
	top: 0;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 5rem;
	height: 2.7rem;
	background-color: var(--wp--preset--color--accent-4);
	font-size: 4.333rem;
	font-style: italic;
	color: var(--wp--preset--color--softlight);
	text-align: center;
	line-height: 1;
}

.quiz-block .quiz-quote--text {
	font-style: italic;
	font-size: 1.25rem;
	margin-bottom: 0.75rem;
}

.quiz-block .quiz-quote--attribute {
	font-size: 0.777rem;
}

.quiz-block .results-card {
	background-color: var(--wp--preset--color--accent-5);
	color: var(--wp--preset--color--softlight);
}

.quiz-block .results-text {
	margin-top: 2rem;
	font-size: 1.111rem;
}
.quiz-block .results-text a {
	color: currentColor;
}

.quiz-block .quiz-btn,
.quiz-block .quiz-btn-next {
	appearance: none;
	border: none;
	border-radius: 4px;
	background-color: var(--wp--preset--color--softlight);
	color: var(--wp--preset--color--accent-4);
	cursor: pointer;
	font: inherit;
	padding: 0.6rem 1.1rem;
	margin: 0 0.35rem;
	transition: background-color 0.2s ease, color 0.2s ease;
}

@media (min-width: 782px) {
	.quiz-block .quiz-btn,
	.quiz-block .quiz-btn-next {
		padding: 0.9rem 1.4rem 1.1rem;
		font-size: 1.333rem;
		min-width: 120px;
		
		margin-top: var(--wp--preset--spacing--24);
	}
	.quiz-block .quiz-btn-next {
		color: var(--wp--preset--color--accent-5);
	}
}

.quiz-block .quiz-btn:hover,
.quiz-block .quiz-btn-next:hover {
	background-color: var(--wp--preset--color--dark);
	color: var(--wp--preset--color--softlight);
}

.quiz-block .quiz-resources {
	background-color: var(--wp--preset--color--accent-2);
	color: var(--wp--preset--color--dark);
}

.quiz-block .quiz-resources--body {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	gap: 1rem;
	margin-top: 1rem;
}

@media (min-width: 782px) {
	.quiz-block .quiz-resources--body {
		flex-direction: row;
	}
}

.quiz-block .resource {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	align-items: center;
}

@media (min-width: 782px) {
	.quiz-block .resource {
		flex-direction: row;
		text-align: left;
		width: 50%;
		align-items: flex-start;
	}
}

.quiz-block .resource--icon {
	font-size: 1.25rem;
}

@media (min-width: 782px) {
	.quiz-block .resource--icon {
		min-width: 2rem;
		text-align: right;
	}
}

.quiz-block .resource--link a {
	font-weight: 600;
	color: currentColor;
}
